Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1277049

Summary: libodfgen-0.1.5-1 is not built with $RPM_OPT_FLAGS
Product: [Fedora] Fedora Reporter: Ville Skytt√§ <ville.skytta>
Component: libodfgenAssignee: David Tardon <dtardon>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 23CC: caolanm, dtardon
Target Milestone: ---Keywords: Patch, Regression, Reopened
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: libodfgen-0.1.5-2.fc23 libodfgen-0.1.5-2.fc22 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-11-19 10:02:29 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 496968    

Description Ville Skyttä 2015-11-02 08:09:08 UTC
libodfgen-0.1.5-1 is not built with $RPM_OPT_FLAGS. Fix:

-export CXXFLAGS=-std=c++11
+export CXXFLAGS="$RPM_OPT_FLAGS -std=c++11"

Comment 1 David Tardon 2015-11-02 08:25:04 UTC
Actually 0.1.5 no longer needs this, as the option is added by configure, if needed. I forgot to remove the line.

Comment 2 Fedora Update System 2015-11-02 08:38:58 UTC
libodfgen-0.1.5-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-95015acb6d

Comment 3 Fedora Update System 2015-11-02 08:39:26 UTC
libodfgen-0.1.5-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-edc5def8cf

Comment 4 Fedora Update System 2015-11-02 08:39:40 UTC
libodfgen-0.1.5-2.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-815f9d60c9

Comment 5 Fedora Update System 2015-11-02 23:21:58 UTC
libodfgen-0.1.5-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update libodfgen'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-edc5def8cf

Comment 6 Fedora Update System 2015-11-03 00:24:43 UTC
libodfgen-0.1.5-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update libodfgen'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-95015acb6d

Comment 7 Fedora Update System 2015-11-03 06:56:42 UTC
libodfgen-0.1.5-2.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update libodfgen'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-815f9d60c9

Comment 8 Fedora Update System 2015-11-19 10:02:26 UTC
libodfgen-0.1.5-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2015-12-12 01:55:22 UTC
libodfgen-0.1.5-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.